Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135148 - Make error/warning messages more human readable
Make error/warning messages more human readable
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL Validation
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Vladimir Yaroslavskiy
issues@soa
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 14:29 UTC by Kirill Sorokin
Modified: 2008-07-10 17:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screen shot (88.12 KB, image/jpeg)
2008-05-15 14:30 UTC, Kirill Sorokin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kirill Sorokin 2008-05-15 14:29:37 UTC
Quoting Mark Gale:

"As you can see, the first error message makes sense, but the second one is a load of gobbledy gook and is only going to
confuse customers. Can we please update this to provide a user friendly message to customers."

He is referring to the attached screen shot.
Comment 1 Kirill Sorokin 2008-05-15 14:30:43 UTC
Created attachment 61434 [details]
Screen shot
Comment 2 Vladimir Yaroslavskiy 2008-05-16 13:24:19 UTC
fixed: 2b41014a4568
Comment 3 Kirill Sorokin 2008-05-27 10:58:46 UTC
Verified, however a follow-up was filed (with lower priority): issue 135858.
Comment 4 pslechta 2008-05-27 17:26:50 UTC
Hello yaroslavskiy,

I'm not sure about the following chunk in your changeset. What is this "sierra" change for? In release61_fixes
repository, the file nbbuild/sierra/build.xml does not contain any target "do-xml", the most similar target is
""do-print". Can you explain/help me with porting this fix into patch 2? (The following "sierra" chunk is the only
problem I have with your fix.) Thanks!

diff -r n -r b -r b -r u -r i -r l -r d -r / -r s -r i -r e -r r -r r -r a -r / -r b -r u -r i -r l -r d -r . -r x -r m
-r l nbbuild/sierra/build.xml
--- a/nbbuild/sierra/build.xml Fri May 16 14:04:20 2008 +0200
+++ b/nbbuild/sierra/build.xml Fri May 16 16:23:43 2008 +0400
@@ -179,6 +179,7 @@
  <target name="do-xml">
  <subant target="${action}" inheritAll="false">
  <buildpath location="${home}/print"/>
+ <buildpath location="${home}/xml.xam"/> <!-- todo r -->
  <buildpath location="${home}/xml.search"/>
  <buildpath location="${home}/xml.xpath.ext"/>
  <buildpath location="${home}/xml.wsdl.extensions"/> 
Comment 5 Vladimir Yaroslavskiy 2008-05-28 08:02:58 UTC
Please skip changes in nbbuild/sierra/build.xml.
It is my fault, there should not be changes in nbbuild/sierra/build.xml.
Comment 6 pgebauer 2008-05-29 10:48:49 UTC
Kirill, patches are intended for defect bugfixing only but not for enhancement implementation. If this issue is a real
enhancement, please remove it from the patch. If it is a defect, please change the issue type. Thanks.
Comment 7 pslechta 2008-06-03 13:22:43 UTC
The fix has been ported into the release61_fixes repository (fixing error messages should be treated as bug fix).

http://hg.netbeans.org/release61_fixes/rev/e61cf8c81cef
Comment 8 Kirill Sorokin 2008-06-03 13:44:24 UTC
Adding back the candidate status (to fix the queries).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo